<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN" "http://www.w3.org/TR/html4/loose.dtd">
<!-- NewPage -->
<html lang="fr">
<head>
<!-- Generated by javadoc (1.8.0_151) on Mon Apr 16 12:51:58 CEST 2018 -->
<title>Othellier</title>
<meta name="date" content="2018-04-16">
<link rel="stylesheet" type="text/css" href="stylesheet.css" title="Style">
<script type="text/javascript" src="script.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Othellier";
        }
    }
    catch(err) {
    }
//-->
var methods = {"i0":10,"i1":10,"i2":10,"i3":10,"i4":10,"i5":10,"i6":10,"i7":10,"i8":10,"i9":10,"i10":10,"i11":10,"i12":10,"i13":10};
var tabs = {65535:["t0","All Methods"],2:["t2","Instance Methods"],8:["t4","Concrete Methods"]};
var altColor = "altColor";
var rowColor = "rowColor";
var tableTab = "tableTab";
var activeTableTab = "activeTableTab";
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a name="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="MenuBar.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?Othellier.html" target="_top">Frames</a></li>
<li><a href="Othellier.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_top">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
<!-- ======== START OF CLASS DATA ======== -->
<div class="header">
<h2 title="Class Othellier" class="title">Class Othellier</h2>
</div>
<div class="contentContainer">
<ul class="inheritance">
<li>java.lang.Object</li>
<li>
<ul class="inheritance">
<li>java.awt.Component</li>
<li>
<ul class="inheritance">
<li>java.awt.Container</li>
<li>
<ul class="inheritance">
<li>javax.swing.JComponent</li>
<li>
<ul class="inheritance">
<li>javax.swing.JPanel</li>
<li>
<ul class="inheritance">
<li>Othellier</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</li>
</ul>
<div class="description">
<ul class="blockList">
<li class="blockList">
<dl>
<dt>All Implemented Interfaces:</dt>
<dd>java.awt.image.ImageObserver, java.awt.MenuContainer, java.io.Serializable, javax.accessibility.Accessible</dd>
</dl>
<hr>
<br>
<pre>public class <span class="typeNameLabel">Othellier</span>
extends javax.swing.JPanel</pre>
<div class="block">Othellier est la classe representant le plateau du jeu Othello et les affichages utile 
  comme le joueur qui doit jouer, les scores des joueurs ou encore le chrono.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Case.html" title="class in &lt;Unnamed&gt;"><code>Case</code></a>, 
<a href="Chrono.html" title="class in &lt;Unnamed&gt;"><code>Chrono</code></a>, 
<a href="serialized-form.html#Othellier">Serialized Form</a></dd>
</dl>
</li>
</ul>
</div>
<div class="summary">
<ul class="blockList">
<li class="blockList">
<!-- ======== NESTED CLASS SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="nested.class.summary">
<!--   -->
</a>
<h3>Nested Class Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JPanel</h3>
<code>javax.swing.JPanel.AccessibleJPanel</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;javax.swing.JComponent</h3>
<code>javax.swing.JComponent.AccessibleJComponent</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Container</h3>
<code>java.awt.Container.AccessibleAWTContainer</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="nested.classes.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Nested classes/interfaces inherited from class&nbsp;java.awt.Component</h3>
<code>java.awt.Component.AccessibleAWTComponent, java.awt.Component.BaselineResizeBehavior, java.awt.Component.BltBufferStrategy, java.awt.Component.FlipBufferStrategy</code></li>
</ul>
</li>
</ul>
<!-- =========== FIELD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="field.summary">
<!--   -->
</a>
<h3>Field Summary</h3>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;javax.swing.JComponent</h3>
<code>listenerList, TOOL_TIP_TEXT_KEY, ui, UNDEFINED_CONDITION, WHEN_ANCESTOR_OF_FOCUSED_COMPONENT, WHEN_FOCUSED, WHEN_IN_FOCUSED_WINDOW</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Fields inherited from class&nbsp;java.awt.Component</h3>
<code>accessibleContext, BOTTOM_ALIGNMENT, CENTER_ALIGNMENT, LEFT_ALIGNMENT, RIGHT_ALIGNMENT, TOP_ALIGNMENT</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="fields.inherited.from.class.java.awt.image.ImageObserver">
<!--   -->
</a>
<h3>Fields inherited from interface&nbsp;java.awt.image.ImageObserver</h3>
<code>ABORT, ALLBITS, ERROR, FRAMEBITS, HEIGHT, PROPERTIES, SOMEBITS, WIDTH</code></li>
</ul>
</li>
</ul>
<!-- ======== CONSTRUCTOR SUMMARY ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.summary">
<!--   -->
</a>
<h3>Constructor Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Constructor Summary table, listing constructors, and an explanation">
<caption><span>Constructors</span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colOne" scope="col">Constructor and Description</th>
</tr>
<tr class="altColor">
<td class="colOne"><code><span class="memberNameLink"><a href="Othellier.html#Othellier-int-">Othellier</a></span>(int&nbsp;n)</code>
<div class="block">L'instanciation construit le plateau de cases et initialise plusieur attributs comme les scores, 
  le chronometre, etc ...</div>
</td>
</tr>
</table>
</li>
</ul>
<!-- ========== METHOD SUMMARY =========== -->
<ul class="blockList">
<li class="blockList"><a name="method.summary">
<!--   -->
</a>
<h3>Method Summary</h3>
<table class="memberSummary" border="0" cellpadding="3" cellspacing="0" summary="Method Summary table, listing methods, and an explanation">
<caption><span id="t0" class="activeTableTab"><span>All Methods</span><span class="tabEnd">&nbsp;</span></span><span id="t2" class="tableTab"><span><a href="javascript:show(2);">Instance Methods</a></span><span class="tabEnd">&nbsp;</span></span><span id="t4" class="tableTab"><span><a href="javascript:show(8);">Concrete Methods</a></span><span class="tabEnd">&nbsp;</span></span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colLast" scope="col">Method and Description</th>
</tr>
<tr id="i0" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#changeJoueur--">changeJoueur</a></span>()</code>
<div class="block">Verifie que le joueur actuel peut jouer.</div>
</td>
</tr>
<tr id="i1" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#fin--">fin</a></span>()</code>
<div class="block">Cette methode arrete le chronometre, fait appel a la methode scoreFinal et ouvre une fenetre pop-up pour informer le joueur.</div>
</td>
</tr>
<tr id="i2" class="altColor">
<td class="colFirst"><code><a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a>[][]</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#getBoard--">getBoard</a></span>()</code>
<div class="block">Retourne le plateau.</div>
</td>
</tr>
<tr id="i3" class="rowColor">
<td class="colFirst"><code><a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a></code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#getCase-int-int-">getCase</a></span>(int&nbsp;x,
       int&nbsp;y)</code>
<div class="block">Retourne une case du plateau.</div>
</td>
</tr>
<tr id="i4" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#getTaille--">getTaille</a></span>()</code>
<div class="block">Retourne la taille du plateau.</div>
</td>
</tr>
<tr id="i5" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#joue-int-int-">joue</a></span>(int&nbsp;x,
    int&nbsp;y)</code>
<div class="block">Cette methode commence en premier par vider le tableau des positions possible.</div>
</td>
</tr>
<tr id="i6" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#joueIA--">joueIA</a></span>()</code>
<div class="block">Cette methode cherche les cases disponible pour l'IA et joue avec la premiere trouve.</div>
</td>
</tr>
<tr id="i7" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#majChrono--">majChrono</a></span>()</code>
<div class="block">Met a jour le chronometre si il y a une partie en cours.</div>
</td>
</tr>
<tr id="i8" class="altColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#nbChangement-int-int-int:A-">nbChangement</a></span>(int&nbsp;x,
            int&nbsp;y,
            int[]&nbsp;d)</code>
<div class="block">Cette methode compte et retourne le nombre de case qu'il est possible de capturer avec la case (y,x) dans la direction d.</div>
</td>
</tr>
<tr id="i9" class="rowColor">
<td class="colFirst"><code>int</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#positionPossible-int-">positionPossible</a></span>(int&nbsp;v)</code>
<div class="block">positionPossible enregistre toutes les cases ou le joueur peut jouer dans le tableau possible.</div>
</td>
</tr>
<tr id="i10" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#retourneCase-int-int-">retourneCase</a></span>(int&nbsp;x,
            int&nbsp;y)</code>
<div class="block">Affiche l'image correspondant au joueur qui joue et modifie la valeur de la case.</div>
</td>
</tr>
<tr id="i11" class="rowColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#score--">score</a></span>()</code>
<div class="block">Met a jour les scores des joueurs et l'affichage des scores.</div>
</td>
</tr>
<tr id="i12" class="altColor">
<td class="colFirst"><code>void</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#scoreFinal--">scoreFinal</a></span>()</code>
<div class="block">Calcule le score final de chaque joueur.</div>
</td>
</tr>
<tr id="i13" class="rowColor">
<td class="colFirst"><code>java.lang.String</code></td>
<td class="colLast"><code><span class="memberNameLink"><a href="Othellier.html#toString--">toString</a></span>()</code>
<div class="block">Retourne le plateau en String.</div>
</td>
</tr>
</table>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JPanel">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JPanel</h3>
<code>getAccessibleContext, getUI, getUIClassID, paramString, setUI, updateUI</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.javax.swing.JComponent">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;javax.swing.JComponent</h3>
<code>addAncestorListener, addNotify, addVetoableChangeListener, computeVisibleRect, contains, createToolTip, disable, enable, firePropertyChange, firePropertyChange, firePropertyChange, fireVetoableChange, getActionForKeyStroke, getActionMap, getAlignmentX, getAlignmentY, getAncestorListeners, getAutoscrolls, getBaseline, getBaselineResizeBehavior, getBorder, getBounds, getClientProperty, getComponentGraphics, getComponentPopupMenu, getConditionForKeyStroke, getDebugGraphicsOptions, getDefaultLocale, getFontMetrics, getGraphics, getHeight, getInheritsPopupMenu, getInputMap, getInputMap, getInputVerifier, getInsets, getInsets, getListeners, getLocation, getMaximumSize, getMinimumSize, getNextFocusableComponent, getPopupLocation, getPreferredSize, getRegisteredKeyStrokes, getRootPane, getSize, getToolTipLocation, getToolTipText, getToolTipText, getTopLevelAncestor, getTransferHandler, getVerifyInputWhenFocusTarget, getVetoableChangeListeners, getVisibleRect, getWidth, getX, getY, grabFocus, hide, isDoubleBuffered, isLightweightComponent, isManagingFocus, isOpaque, isOptimizedDrawingEnabled, isPaintingForPrint, isPaintingOrigin, isPaintingTile, isRequestFocusEnabled, isValidateRoot, paint, paintBorder, paintChildren, paintComponent, paintImmediately, paintImmediately, print, printAll, printBorder, printChildren, printComponent, processComponentKeyEvent, processKeyBinding, processKeyEvent, processMouseEvent, processMouseMotionEvent, putClientProperty, registerKeyboardAction, registerKeyboardAction, removeAncestorListener, removeNotify, removeVetoableChangeListener, repaint, repaint, requestDefaultFocus, requestFocus, requestFocus, requestFocusInWindow, requestFocusInWindow, resetKeyboardActions, reshape, revalidate, scrollRectToVisible, setActionMap, setAlignmentX, setAlignmentY, setAutoscrolls, setBackground, setBorder, setComponentPopupMenu, setDebugGraphicsOptions, setDefaultLocale, setDoubleBuffered, setEnabled, setFocusTraversalKeys, setFont, setForeground, setInheritsPopupMenu, setInputMap, setInputVerifier, setMaximumSize, setMinimumSize, setNextFocusableComponent, setOpaque, setPreferredSize, setRequestFocusEnabled, setToolTipText, setTransferHandler, setUI, setVerifyInputWhenFocusTarget, setVisible, unregisterKeyboardAction, update</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Container">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Container</h3>
<code>add, add, add, add, add, addContainerListener, addImpl, addPropertyChangeListener, addPropertyChangeListener, applyComponentOrientation, areFocusTraversalKeysSet, countComponents, deliverEvent, doLayout, findComponentAt, findComponentAt, getComponent, getComponentAt, getComponentAt, getComponentCount, getComponents, getComponentZOrder, getContainerListeners, getFocusTraversalKeys, getFocusTraversalPolicy, getLayout, getMousePosition, insets, invalidate, isAncestorOf, isFocusCycleRoot, isFocusCycleRoot, isFocusTraversalPolicyProvider, isFocusTraversalPolicySet, layout, list, list, locate, minimumSize, paintComponents, preferredSize, printComponents, processContainerEvent, processEvent, remove, remove, removeAll, removeContainerListener, setComponentZOrder, setFocusCycleRoot, setFocusTraversalPolicy, setFocusTraversalPolicyProvider, setLayout, transferFocusDownCycle, validate, validateTree</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.awt.Component">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.awt.Component</h3>
<code>action, add, addComponentListener, addFocusListener, addHierarchyBoundsListener, addHierarchyListener, addInputMethodListener, addKeyListener, addMouseListener, addMouseMotionListener, addMouseWheelListener, bounds, checkImage, checkImage, coalesceEvents, contains, createImage, createImage, createVolatileImage, createVolatileImage, disableEvents, dispatchEvent, enable, enableEvents, enableInputMethods, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, firePropertyChange, getBackground, getBounds, getColorModel, getComponentListeners, getComponentOrientation, getCursor, getDropTarget, getFocusCycleRootAncestor, getFocusListeners, getFocusTraversalKeysEnabled, getFont, getForeground, getGraphicsConfiguration, getHierarchyBoundsListeners, getHierarchyListeners, getIgnoreRepaint, getInputContext, getInputMethodListeners, getInputMethodRequests, getKeyListeners, getLocale, getLocation, getLocationOnScreen, getMouseListeners, getMouseMotionListeners, getMousePosition, getMouseWheelListeners, getName, getParent, getPeer, getPropertyChangeListeners, getPropertyChangeListeners, getSize, getToolkit, getTreeLock, gotFocus, handleEvent, hasFocus, imageUpdate, inside, isBackgroundSet, isCursorSet, isDisplayable, isEnabled, isFocusable, isFocusOwner, isFocusTraversable, isFontSet, isForegroundSet, isLightweight, isMaximumSizeSet, isMinimumSizeSet, isPreferredSizeSet, isShowing, isValid, isVisible, keyDown, keyUp, list, list, list, location, lostFocus, mouseDown, mouseDrag, mouseEnter, mouseExit, mouseMove, mouseUp, move, nextFocus, paintAll, postEvent, prepareImage, prepareImage, processComponentEvent, processFocusEvent, processHierarchyBoundsEvent, processHierarchyEvent, processInputMethodEvent, processMouseWheelEvent, remove, removeComponentListener, removeFocusListener, removeHierarchyBoundsListener, removeHierarchyListener, removeInputMethodListener, removeKeyListener, removeMouseListener, removeMouseMotionListener, removeMouseWheelListener, removePropertyChangeListener, removePropertyChangeListener, repaint, repaint, repaint, resize, resize, setBounds, setBounds, setComponentOrientation, setCursor, setDropTarget, setFocusable, setFocusTraversalKeysEnabled, setIgnoreRepaint, setLocale, setLocation, setLocation, setName, setSize, setSize, show, show, size, transferFocus, transferFocusBackward, transferFocusUpCycle</code></li>
</ul>
<ul class="blockList">
<li class="blockList"><a name="methods.inherited.from.class.java.lang.Object">
<!--   -->
</a>
<h3>Methods inherited from class&nbsp;java.lang.Object</h3>
<code>clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait</code></li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
<div class="details">
<ul class="blockList">
<li class="blockList">
<!-- ========= CONSTRUCTOR DETAIL ======== -->
<ul class="blockList">
<li class="blockList"><a name="constructor.detail">
<!--   -->
</a>
<h3>Constructor Detail</h3>
<a name="Othellier-int-">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>Othellier</h4>
<pre>public&nbsp;Othellier(int&nbsp;n)</pre>
<div class="block">L'instanciation construit le plateau de cases et initialise plusieur attributs comme les scores, 
  le chronometre, etc ...</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>n</code> - Mode de jeu:
                        <ul>
                         <li>1: Un joueur</li>
                         <li>2: Deux joueurs</li>
                        </ul></dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Case.html" title="class in &lt;Unnamed&gt;"><code>Case</code></a>, 
<a href="Chrono.html" title="class in &lt;Unnamed&gt;"><code>Chrono</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
<!-- ============ METHOD DETAIL ========== -->
<ul class="blockList">
<li class="blockList"><a name="method.detail">
<!--   -->
</a>
<h3>Method Detail</h3>
<a name="getTaille--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getTaille</h4>
<pre>public&nbsp;int&nbsp;getTaille()</pre>
<div class="block">Retourne la taille du plateau.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Taille de l'Othellier.</dd>
</dl>
</li>
</ul>
<a name="getBoard--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getBoard</h4>
<pre>public&nbsp;<a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a>[][]&nbsp;getBoard()</pre>
<div class="block">Retourne le plateau.</div>
<dl>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le tableau a deux dimensions contenant les cases.</dd>
</dl>
</li>
</ul>
<a name="getCase-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>getCase</h4>
<pre>public&nbsp;<a href="Case.html" title="class in &lt;Unnamed&gt;">Case</a>&nbsp;getCase(int&nbsp;x,
                    int&nbsp;y)</pre>
<div class="block">Retourne une case du plateau.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - Ordonnee de la case.</dd>
<dd><code>y</code> - Abscisse de la case.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>La case aux coordonnees (y,x).</dd>
</dl>
</li>
</ul>
<a name="toString--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>toString</h4>
<pre>public&nbsp;java.lang.String&nbsp;toString()</pre>
<div class="block">Retourne le plateau en String.</div>
<dl>
<dt><span class="overrideSpecifyLabel">Overrides:</span></dt>
<dd><code>toString</code>&nbsp;in class&nbsp;<code>java.awt.Component</code></dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le plateau de cases sous forme d'une chaine de caracteres.</dd>
</dl>
</li>
</ul>
<a name="retourneCase-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>retourneCase</h4>
<pre>public&nbsp;void&nbsp;retourneCase(int&nbsp;x,
                         int&nbsp;y)</pre>
<div class="block">Affiche l'image correspondant au joueur qui joue et modifie la valeur de la case.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - Ordonnee de la case a retourne.</dd>
<dd><code>y</code> - Abscisse de la case a retourne.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Case.html#setValeur-int-"><code>Case.setValeur(int)</code></a></dd>
</dl>
</li>
</ul>
<a name="joueIA--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joueIA</h4>
<pre>public&nbsp;void&nbsp;joueIA()</pre>
<div class="block">Cette methode cherche les cases disponible pour l'IA et joue avec la premiere trouve.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Othellier.html#positionPossible-int-"><code>positionPossible(int)</code></a>, 
<a href="Othellier.html#joue-int-int-"><code>joue(int, int)</code></a></dd>
</dl>
</li>
</ul>
<a name="joue-int-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>joue</h4>
<pre>public&nbsp;void&nbsp;joue(int&nbsp;x,
                 int&nbsp;y)</pre>
<div class="block">Cette methode commence en premier par vider le tableau des positions possible.<br/>
 Elle regarde ensuite dans toutes les directions si il y a des changements possible avec nbChangement, 
  et si c'est le cas elle retourne les cases avec retourneCase.<br/>
 Enfin elle fait appel a changeJoueur et a score pour les mettre a jour.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - Ordonnee de la case jouee.</dd>
<dd><code>y</code> - Abscisse de la case jouee.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Othellier.html#nbChangement-int-int-int:A-"><code>nbChangement(int, int, int[])</code></a>, 
<a href="Othellier.html#retourneCase-int-int-"><code>retourneCase(int, int)</code></a>, 
<a href="Othellier.html#changeJoueur--"><code>changeJoueur()</code></a>, 
<a href="Othellier.html#score--"><code>score()</code></a></dd>
</dl>
</li>
</ul>
<a name="positionPossible-int-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>positionPossible</h4>
<pre>public&nbsp;int&nbsp;positionPossible(int&nbsp;v)</pre>
<div class="block">positionPossible enregistre toutes les cases ou le joueur peut jouer dans le tableau possible.
  Le nombre de cases est lui enregistre dans nbPossible.<br/>
 De plus si le parametre v == 1, on retourne la case en vert pour la montrer au joueur.<br/>
 v == 0, lorsuq'on veut juste avoir la liste des cases disponible (comme pour faire jouer l'IA).</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>v</code> - Valeur pour savoir si il faut retourner la case</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre de case ou il est possible de jouer pour le joueur.</dd>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Othellier.html#nbChangement-int-int-int:A-"><code>nbChangement(int, int, int[])</code></a></dd>
</dl>
</li>
</ul>
<a name="nbChangement-int-int-int:A-">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>nbChangement</h4>
<pre>public&nbsp;int&nbsp;nbChangement(int&nbsp;x,
                        int&nbsp;y,
                        int[]&nbsp;d)</pre>
<div class="block">Cette methode compte et retourne le nombre de case qu'il est possible de capturer avec la case (y,x) dans la direction d.<br/>
 d est un des parametre static de cette classe.</div>
<dl>
<dt><span class="paramLabel">Parameters:</span></dt>
<dd><code>x</code> - Ordonnee de la case.</dd>
<dd><code>y</code> - Abscisse de la case.</dd>
<dd><code>d</code> - Direction dans laquelle on veut compter le nombre de case.</dd>
<dt><span class="returnLabel">Returns:</span></dt>
<dd>Le nombre de case que l'on peut changer dans cette direction.</dd>
</dl>
</li>
</ul>
<a name="changeJoueur--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>changeJoueur</h4>
<pre>public&nbsp;void&nbsp;changeJoueur()</pre>
<div class="block">Verifie que le joueur actuel peut jouer. Si ce n'est pas le cas elle change de joueur.<br/>
 Si aucun des deux joueurs ne peut jouer elle arrete la partie.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Othellier.html#positionPossible-int-"><code>positionPossible(int)</code></a>, 
<a href="Othellier.html#joueIA--"><code>joueIA()</code></a>, 
<a href="Othellier.html#fin--"><code>fin()</code></a></dd>
</dl>
</li>
</ul>
<a name="majChrono--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>majChrono</h4>
<pre>public&nbsp;void&nbsp;majChrono()</pre>
<div class="block">Met a jour le chronometre si il y a une partie en cours.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Chrono.html#get--"><code>Chrono.get()</code></a></dd>
</dl>
</li>
</ul>
<a name="score--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>score</h4>
<pre>public&nbsp;void&nbsp;score()</pre>
<div class="block">Met a jour les scores des joueurs et l'affichage des scores.</div>
</li>
</ul>
<a name="scoreFinal--">
<!--   -->
</a>
<ul class="blockList">
<li class="blockList">
<h4>scoreFinal</h4>
<pre>public&nbsp;void&nbsp;scoreFinal()</pre>
<div class="block">Calcule le score final de chaque joueur.<br/>
 Si a la fin de la partie il reste des cases neutre, ces case vont au gagnant et donc s'additionne a son score.</div>
</li>
</ul>
<a name="fin--">
<!--   -->
</a>
<ul class="blockListLast">
<li class="blockList">
<h4>fin</h4>
<pre>public&nbsp;void&nbsp;fin()</pre>
<div class="block">Cette methode arrete le chronometre, fait appel a la methode scoreFinal et ouvre une fenetre pop-up pour informer le joueur.</div>
<dl>
<dt><span class="seeLabel">See Also:</span></dt>
<dd><a href="Othellier.html#scoreFinal--"><code>scoreFinal()</code></a></dd>
</dl>
</li>
</ul>
</li>
</ul>
</li>
</ul>
</div>
</div>
<!-- ========= END OF CLASS DATA ========= -->
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a name="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a name="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="package-summary.html">Package</a></li>
<li class="navBarCell1Rev">Class</li>
<li><a href="package-tree.html">Tree</a></li>
<li><a href="deprecated-list.html">Deprecated</a></li>
<li><a href="index-all.html">Index</a></li>
<li><a href="help-doc.html">Help</a></li>
</ul>
</div>
<div class="subNav">
<ul class="navList">
<li><a href="MenuBar.html" title="class in &lt;Unnamed&gt;"><span class="typeNameLink">Prev&nbsp;Class</span></a></li>
<li>Next&nbsp;Class</li>
</ul>
<ul class="navList">
<li><a href="index.html?Othellier.html" target="_top">Frames</a></li>
<li><a href="Othellier.html" target="_top">No&nbsp;Frames</a></li>
</ul>
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="allclasses-noframe.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
</div>
<div>
<ul class="subNavList">
<li>Summary:&nbsp;</li>
<li><a href="#nested.classes.inherited.from.class.javax.swing.JPanel">Nested</a>&nbsp;|&nbsp;</li>
<li><a href="#fields.inherited.from.class.javax.swing.JComponent">Field</a>&nbsp;|&nbsp;</li>
<li><a href="#constructor.summary">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.summary">Method</a></li>
</ul>
<ul class="subNavList">
<li>Detail:&nbsp;</li>
<li>Field&nbsp;|&nbsp;</li>
<li><a href="#constructor.detail">Constr</a>&nbsp;|&nbsp;</li>
<li><a href="#method.detail">Method</a></li>
</ul>
</div>
<a name="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</body>
</html>
